Odysseus, on the blackest of nights, without

stars or moon to guide him, with only
the clouds above and the sea below, two
seas, really, if you think about it, which he
did, quite a bit, actually, he had
a lot of time to think on that boat, especially
when he was strapped to the mast, you know
when that was, with the sirens, they sang
and he heard them and only he knows what
they sound like, if he’s honest, they’re
overhyped, he thinks, they only made him want
to jump into the water and drown, but he
didn’t have any illusions about that
at the time, they just made him ready to
die in the cold water, become a part of it,
travel the world, not that he hadn’t had enough
of that, he was just so tired all the time,
he wanted to get home to his wife, his
dog, his son, his great oak bed, his hall
replete with drinking, with men ready to hear
his story, his travels, though he wasn’t sure
he was ready to tell them, not yet, in fact
what he thought while strapped to that mast,
what the sirensong brought his mind to, was
that he might not be allowed to go home
until he was ready to tell what had happened.

Oatmeal, my oatmeal

I sing to thee, breakfast of champions,
staver of hunger all morning long. I sing
of hot cereal in bowls, steam rising
like opportunity into the cool morning.
I sing of spoons dipped, lifted, placed
gently in mouths, dipped again. Of grain
waving somewhere, the susurration of it
like the ocean over the cliff’s edge,
long ago. The sun rising over it
thinking of something it can’t place.
Maybe the dream it had last night.
Maybe something it was supposed to do today,
after breakfast, something important.
It’s not sure, but it’s not worried.
As long as it keeps shining, the oats,
the spoons, the mouths, all of it,
will keep singing something, over and over.

There's a big void in your heart

and you paper over it like a hole in the wall
you punched through that one time, remember?
Only you don’t remember why you punched
the wall or what you were doing there or how
it was looking at you. Or maybe you do remember
how it was looking at you, yellow and flowered
and nicotine-stained. And there was a window
nearby, and it was open and a breeze blew in
from the ocean, you think, it smelled like salt.
Or maybe that was the blood on your knuckles
after you punched that hole into the black
underneath part of the wall, the space between
the studs where nothing was but air and space
and a brooding darkness. Like chambers
in the heart, only the wall doesn’t move
except when it settles, slowly, over the years,
with light groans and shiftings. Maybe
after all it is alive, just much slower than you.
After all this time, maybe the wall is hurting too.

Everything is Teeth

I went to the library Friday and picked up a lot of comic books, and I’ve knocked through two of them quite quickly, over the weekend.

Everything is Teeth, a comic book memoir by Evie Wyld, is told from the perspective of a six- and seven-year-old on her trips to Australia to visit her mother’s family — so the story and drawings are gauzy, like the memories of childhood. The result is a dreamy, not-quite-nightmare of a book about a young girl’s obsession with sharks and shark attacks and her relationships with the ocean in Australia and her family, which becomes quite clear at the finale of the book. The story is sort of a series of interconnected vignettes: reading about Rodney Fox’s brush with death after a shark attack, being increasingly anxious and scared of the water, going to a roadside shark museum with her father, and finally viscerally picturing her mother and brother being devoured. I really liked the slow burn of unease that the narrative built this way, though I agree with some other reviewers that it could feel disjointed.

The art, however, is incredible, and completely makes up for the slight problems with narrative. The drawings by Joe Sumner are mostly simplistic, cartoony even, except for the sharks and their aftermaths. I couldn’t figure out if the sharks are all photographs or colored pencil, but they’re definitely photorealistic, cutting into the majority of pages menacingly, lurking around, so the reader gets a sense of the impending doom that haunts young Evie. Sumner’s images also give a lot of space for Wyld’s words to swim around themselves, which builds the dream-like quality of the narrative.

Overall, it makes for an interesting memoir, though the ending felt tacked-on. I hate to say that, since I have a feeling it’s what precipitated the entire project, but it does feel that way. Like a weird coda. Of course, I have no suggestions for how else it could’ve ended.

Black Jack, vol. 1

I went to the library Friday and picked up a lot of comic books, and I’ve knocked through two of them quite quickly, over the weekend.

The first was the first volume of Tezuka’sEsteemed writer of Astro Boy and others, including Buddha. Black Jack, which is billed as a thrilling medical drama but which I found to be largely goofy, with stories centering around outlandish surgeries, including brain and arm transplants, and weird science storylines that stretched my suspension of disbelief past breaking.

Still, I liked the character of Black Jack, mysterious, first-rate surgeon without a medical license but with the best skills in the world, and though the storylines were mostly ridiculous, they were short enough and light enough that I didn’t really mind. There were also a few true gems in the collection, such as the penultimate story about a boy with polio walking across Japan to raise awareness for the condition.

Tezuka’s art is also great, especially his drawings of surgeries and landscapes, as well as the visual pacing of his stories. There were a lot of drawn-in jokes in the pages, too, though I didn’t really get most of them.

Honestly, I’ll probably grab the next issue from the library too. It was a quick enough read, and I kind of like the ridiculous stories.

Vanity jar

I must admit, today I sifted through titles to find one that could fit what I did, instead of tailoring what I did around a randomly-selected title. However, I think this is better than the last two Sundays, when I missed writing anything altogether. But since I wanted to showcase something I’ve written, I’m calling today’s post Vanity jar. Nothing with the words fuzz or choice or menu were in my moonphoto list.

I really like dmenu, which is a simple menu that takes input from stdin, allows the user to select one by typing, Tabbing or pointing, and prints it to stdout, to be processed by another program in the pipeline. Many people use it as a program launcher, but it can be used for just about anything.

I also really like fzf, which is a fuzzy finder — that is, a program similar to dmenu in that it interactively narrows a large number of items to one selection, but it uses fuzzy matching, which means it allows the user to type non-contiguous letters of what they’re looking for.

I wanted to set up fzf like dmenu,There is a patch that adds fuzzy searching for dmenu, but I didn’t like how it worked. I also wanted this challenge, of course. but since it’s a commandline program figuring out stdin and stdout was a challenge. I couldn’t figure out how to pipe text straight into a terminal, so I used temporary files.

The script as it stands uses the st terminal in addition to fzf. It could easily be changed to use another terminal, however.

FMENU

#!/usr/bin/env bash

PROG="fmenu"
VERSION=0.0.1

version()
{
	printf '%s v%s (c) Case Duckworth' $PROG $VERSION
	exit 0
}

usage()
{
	if [ $# -ge 2 ]; then
		printf '%s: %s\n' "$PROG" "$2" >&2
	fi
	cat >&2 <<-ENDOFUSAGE
	$PROG: a dmenu clone using st and fzf
	usage:	$PROG [-g GEOMETRY] [-t NAME] [-i] [-f FZF_OPTION...]
	:	$PROG [-h] [-v]

	st(1)-tweaking options:
	-g GEOMETRY:	set terminal's geometry.
	-t NAME:	set fmenu's window title and name.
	-i:		see st(1)'s "-i" option.

	fzf(1)-tweaking options:
	-f FZF_OPTION:	add an option to fzf(1)'s command line.
	:		it should be a long option,
	:		e.g. "--exact", "--color=light", "+i".
	:		see fzf(1) for details.
	
	-h:	show this help message.
	-v:	display version information.

	see also st(1), fzf(1).
	ENDOFUSAGE
	exit "${1:-0}"
}

setup()
{
	IN=$(mktemp)
	OUT=$(mktemp)

	if ! ST="$(command -v st)"; then
		printf '%s: st required\n' $PROG >&2
		exit 2
	fi

	if ! FZF="$(command -v fzf)"; then
		printf '%s: fzf required\n' $PROG >&2
		exit 2
	else
		FZF="${FZF} --layout=reverse"
	fi

	GEOMETRY="60x18"
	WNAME="fmenu"
}

cleanup()
{
	rm -f "$IN" "$OUT"
	exit
}

main()
{
	cat > "$IN"

	$ST -t "$WNAME" -n "$WNAME" \
		-g "$GEOMETRY" \
		-e sh -c "${FZF} <$IN >$OUT"

	cat "$OUT"
}

trap cleanup EXIT INT

setup
while getopts ':hvg:t:f:i' opt; do
	case "$opt" in
		h) usage ;;
		v) version ;;
		g) GEOMETRY="$OPTARG" ;;
		t) WNAME="$OPTARG" ;;
		f) FZF="${FZF} $OPTARG" ;;
		# XXX: this doesn't work in dwm if there's a rule for 'fmenu'
		# windows. I tried changing the WNAME too but that didn't work.
		i) ST="${ST} -i" ;;
		\?) usage 1 "Bad option: \"-$OPTARG\"" ;;
		:) usage 1 "Argument \"-$OPTARG\" needs an argument" ;;
	esac
done
shift $((OPTIND - 1))

main "$@"
cleanup

(One of these days, I’m going to release all the scripts I’ve written in a git repo somewhere. But today is not that day.)

Now that I think about it, I should also include options to make fmenu a drop-in dmenu replacement. But that, too, is for another day.

Breaux Bridge and environs

The day after my birthday this year, we drove over to Breaux Bridge, stopping in at the Cypress Island Preserve first. We got out and hiked a bit and then walked around Breaux Bridge, which was mostly closed since it was Sunday. I took my camera with me and thought I was being okay with it, but I really overexposed most of these shots because I had the shutter speed way too low. I also opened the first roll before it was all the way rolled up, so I lost about four shots off it. Overall, not the most satisfying camera day, but some of them are all right, and besides, I learned something, right?

Cypress Island Preserve

We wanted to go on a hike for my birthday, but there is a bit of a dearth of hiking around Baton Rouge. We found the Cypress Island Preserve, which seems really cool — though it was closed the day we went and we were only able to walk around some of the boardwalk.

A ruined shot of the algae on the water
A ruined shot of the algae on the water
A ruined shot of a puffball flower thing
A ruined shot of a puffball flower thing
Cypress knees rising out of the water
Cypress knees rising out of the water
Cypress grove
Cypress grove
Graffiti scratched on the railing: 'Dorothy Loves Kan'
Graffiti scratched on the railing: Dorothy Loves Kan
Reflections of cypress, plants in the water
Reflections of cypress, plants in the water
A clear shot of more cypress trees
A clear shot of more cypress trees
A clear shot of the puffball flower thing
A clear shot of the puffball flower thing
A hollow tree
A hollow tree
Cypress knees emerging from green water
Cypress knees emerging from green water
A blurry shot of a walkway blocked with Caution tape
A blurry shot of a walkway blocked with Caution tape
Another blurry shot of the same walkway
Another blurry shot of the same walkway
A gravel road
A gravel road
A log felled across the bayou
A log felled across the bayou
A sideways photo of a live oak
A sideways photo of a live oak
A hummingbird feeder (blurry)
A hummingbird feeder (blurry)
A faraway shot of some kind of electrical box
A faraway shot of some kind of electrical box
A dragonfly, though that's not really the focal point of the photo
A dragonfly, though that’s not really the focal point of the photo
The (closed) museum building of the Cypress Island Preserve
The (closed) museum building of the Cypress Island Preserve
The gate to a trail closed for alligators. Lots of signs are ziptied to the gate saying 'Trail Closed: Warning.'
The gate to a trail closed for alligators. Lots of signs are ziptied to the gate saying Trail Closed: Warning.

En route to Breaux Bridge

We left the preserve and began to drive. It didn’t take long to settle on the destination of Breaux Bridge, a little town near Lafayette that we’d heard was great but hadn’t made it to yet.

A ruined shot of a field driving toward Breaux Bridge
A ruined shot of a field driving toward Breaux Bridge
A fairly clear shot of the field, with a little light damage on the right side
A fairly clear shot of the field, with a little light damage on the right side

Breaux Bridge

Turns out, Breaux Bridge, like most small towns, is closed on Sunday. Or rather, almost all the businesses are closed. We still got to walk around a while looking at all the store fronts and I took a lot of pictures, most of which were overexposed and blurry.

A bright red flower in a white stand and the greenery all around
A bright red flower in a white stand and the greenery all around
American flags waving above a street in Breaux Bridge
American flags waving above a street in Breaux Bridge
A very overexposed, very blurry photo, of what I'm not sure
A very overexposed, very blurry photo, of what I’m not sure
An overexposed, blurry photo of a storefront with a palm tree coming out of it
An overexposed, blurry photo of a storefront with a palm tree coming out of it
A photo of a gas station dumpster, also overexposed and blurry
A photo of a gas station dumpster, also overexposed and blurry
An attempted photo of a hand painted sign on the side of an antique store
An attempted photo of a hand painted sign on the side of an antique store
A blurry photo of a porch
A blurry photo of a porch

We exhausted Breaux Bridge fairly quickly and headed to Lafayette, where we ate dinner at Dat Dog, a really great hot dog restaurant. I tried a brand new dog with blackberry puree, pickles, relish, and mustard on a vegan apple-sage sausage which was amazing. I didn’t take any pictures in Lafayette, though.

Back home

I still had some photos in my roll when we got home, so I headed down the street to try and take some photos for a series idea I have: Hand painted signs of Baton Rouge. There’s a ton of hand-painted signs around here, and my dad was a sign painter when I was growing up, so I’ve always loved hand-painted ones. This beginning wasn’t so auspicious though. I need to try again with better exposure settings and a steadier hand.

What I can only assume is a garden hose, though it boggles me why I'd take a picture of one
What I can only assume is a garden hose, though it boggles me why I’d take a picture of one
Stella looking through the front window at me
Stella looking through the front window at me
Telephone pole, trees, and attempted clouds
Telephone pole, trees, and attempted clouds
Telephone wire and attempted clouds
Telephone wire and attempted clouds
An attempt at the first photo in a series called 'Hand Painted Signs of Baton Rouge'
An attempt at the first photo in a series called Hand Painted Signs of Baton Rouge
Another attempt at the hand-painted photo
Another attempt at the hand-painted photo
A final attempt from across the street
A final attempt from across the street

One good thing from this experience: I got my photos developed by The Darkroom out of California, and it was really easy and affordable. I got my disappointing photos emailed to me within like, 5 days? It was fast.

Storytime - Part 1 - The Sun

Listen:

a long time ago there was nothing, or it looked like nothing, or more accurately it didn’t look like anything because there was no light. That’s when the Sun came in. It lit up the world, or about half of it, and we could all see what, in retrospect, had already (always) been there, but at the time we thought had just been made by the Sun. So we decided to worship it.

We started out pretty tamely — we looked at it til our eyes hurt, sang it songs we wrote about how great it was, we even left it little gifts of food, stuff we were making for dinner and thought it might enjoy. But it never ate any of the food or said thank you or anything, so we guessed it didn’t really like our gifts. And our eyes were really hurting from staring at it.

So we were at a loss, until a dog just died one day and the sun got really strong. Like it really liked that dead dog. We were kind of weirded out, but who were we to judge? There is no, as they say, accounting for taste.

We killed another dog, to make sure it wasn’t just a coincidence. The sun got really strong again. Apparently it really did like dead dogs. We started killing like, one a week, and leaving it out for the sun to do whatever it did with it.

All of a sudden

everything changes	everything changes all
of the time	suddenly and irrevocably	but
that's no cause for alarm	right	it happens all
the time	like raindrops happen
spread out over hours	or days sometimes not
in a big buckety splash	not all at once
each little thing though	little changes
each of them is sudden	is out of seemingly nowhere
has no sense	nothing has no sense
sense must be made by someone	that is our job
so they say so they	are fond of repeating
someday they will stop saying it	someday suddenly
Read more...